
create_clock -period 10.000 -name sys_clk [get_ports sys_clk_p]
set_property PACKAGE_PIN AA18 [get_ports sys_clk_n]
set_property PACKAGE_PIN AA17 [get_ports sys_clk_p]

set_false_path -from [get_ports sys_rst_n]
set_property PULLTYPE PULLUP [get_ports sys_rst_n]
set_property IOSTANDARD LVCMOS18 [get_ports sys_rst_n]

set_property PACKAGE_PIN AA6 [get_ports sys_rst_n]

set_clock_groups -name async18 -asynchronous -group [get_clocks sys_clk] -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ *gen_channel_container[0].*gen_gthe4_channel_inst[3].GTHE4_CHANNEL_PRIM_INST/TXOUTCLK}]]
set_clock_groups -name async24 -asynchronous -group [get_clocks -of_objects [get_pins pcie4c_uscale_plus_0_i/inst/pcie4c_uscale_plus_0_gt_top_i/diablo_gt.diablo_gt_phy_wrapper/phy_clk_i/bufg_gt_intclk/O]] -group [get_clocks sys_clk]

create_waiver -type DRC -id {REQP-1839} -user "pcie4c_uscale_plus" -desc "DRC expects synchronous pins to be provided to BRAM inputs. Since synchronization is present one stage before, it is safe to ignore" -tags "1166844" -scope -internal -objects [get_cells -hierarchical -filter {NAME =~ {pcie_app_uscale_i/PIO_i/pio_ep/ep_mem/ep_xpm_sdpram/*mem_reg_bram_0}}] -timestamp "Tue Feb 11 04:45:17 GMT 2025"
create_waiver -type DRC -id {REQP-1840} -user "pcie4c_uscale_plus" -desc "DRC expects synchronous pins to be provided to BRAM inputs. Since synchronization is present one stage before, it is safe to ignore" -tags "1166844" -scope -internal -objects [get_cells -hierarchical -filter {NAME =~ {pcie_app_uscale_i/PIO_i/pio_ep/ep_mem/ep_xpm_sdpram/*mem_reg_bram_0}}] -timestamp "Tue Feb 11 04:45:17 GMT 2025"


#set_property LOC GTHE4_CHANNEL_X0Y3 [get_cells {pcie4c_uscale_plus_0_i/inst/pcie4c_uscale_plus_0_gt_top_i/diablo_gt.diablo_gt_phy_wrapper/gt_wizard.gtwizard_top_i/pcie4c_uscale_plus_0_gt_i/inst/gen_gtwizard_gthe4_top.pcie4c_uscale_plus_0_gt_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/gthe4_channel_gen.gen_gthe4_channel_inst[0].GTHE4_CHANNEL_PRIM_INST}]
#set_property PACKAGE_PIN R21 [get_ports {pci_exp_rxp[3]}]
#set_property PACKAGE_PIN U21 [get_ports {pci_exp_rxp[2]}]
#set_property PACKAGE_PIN W21 [get_ports {pci_exp_rxp[1]}]
#set_property PACKAGE_PIN AA21 [get_ports {pci_exp_rxp[0]}]
set_property PACKAGE_PIN AA11 [get_ports led_red]
set_property PACKAGE_PIN AB10 [get_ports led_green]
set_property PACKAGE_PIN AA10 [get_ports led_blue]
set_property IOSTANDARD LVCMOS18 [get_ports led_blue]
set_property IOSTANDARD LVCMOS18 [get_ports led_green]
set_property IOSTANDARD LVCMOS18 [get_ports led_red]

set_property BITSTREAM.CONFIG.CONFIGRATE 10.6 [current_design]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]

set_property PACKAGE_PIN R21 [get_ports {pci_exp_rxp[3]}]
set_property PACKAGE_PIN U21 [get_ports {pci_exp_rxp[2]}]
set_property PACKAGE_PIN W21 [get_ports {pci_exp_rxp[1]}]
set_property PACKAGE_PIN AA21 [get_ports {pci_exp_rxp[0]}]
